Bug 168482 - yumdownloader --resolve should conflict with --source
yumdownloader --resolve should conflict with --source
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 12:39 EDT by Jack Tanner
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 09:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2005-09-16 12:39:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
yumdownloader --resolve --source <package> should not be possible to begin with, and also produces silly output.

Also see https://lists.dulug.duke.edu/pipermail/yum-devel/2005-May/001179.html

Version-Release number of selected component (if applicable):
yum-utils-0.2-2.fc4

How reproducible:
Always

Steps to Reproduce:
yumdownloader --urls --resolve --source emacs


Actual Results:  emacs-21.4-5.src.rpm      100% |=========================|  36 kB    00:00     
emacs-21.4-5.src.rpm      100% |=========================|  36 kB    00:00     
emacs-21.4-5.src.rpm      100% |=========================|  36 kB    00:00     
.
.
.

Expected Results:  Yum could throw an error message about conflicting parameters. Better yet, --resolve should be silently ignored in this case.

Additional info:
Comment 1 Christian Iseli 2007-01-17 18:22:59 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Jack Tanner 2007-01-18 19:36:44 EST
Retested on FC6 w/ yum-3.0.3-1.fc6. I wouldn't say the problem is still there;
rather, the problem is worse.

This works: yumdownloader --urls emacs

This fails to report anything: yumdownloader --urls emacs --source

This also fails to report anything: yumdownloader --urls emacs --source --resolve

This generates a traceback: yumdownloader --urls emacs --resolve
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 191, in ?
    main()
  File "/usr/bin/yumdownloader", line 156, in main
    my.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 243, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 302, in _processReq
    dumbmatchpkgs = self.rpmdb.searchNevra(name=name, ver=version, rel=release)
AttributeError: 'NoneType' object has no attribute 'searchNevra'

Comment 3 Tim Lauridsen 2007-02-14 04:37:46 EST
The resolve issue has been fixed in upstream CVS.
I will make a new yum-utils release soon.

Note You need to log in before you can comment on or make changes to this bug.